%% demo to check basics
close all; p=[]; par(1)=-1; p=init(p,5,50,par); % init 
% specific settings (could also be set in init)
p.nc.ilam=1; p.nc.lammax=1; p.sol.ds=0.1; p.nc.dsmax=0.2;  
%% set out-dir, continue with bifurcation detection
p=setfn(p,'p'); p=cont(p,30); 
%% switch to first 2 bifurcating branches and continue
p=swibra('p','bpt1','q1',0.1); p=cont(p,10);
p=swibra('p','bpt2','q2',0.1); p=cont(p,10);
%% plot bifurcation diagram and soln
clf(2);
plotbraf('p','bpt4',2,0,'bplab',1,'cl','r');
plotbraf('q1','pt10',2,0,'lab',10);
plotbraf('q2','pt10',2,0,'lab',[5,10]);
plotsolf('q2','pt10',1,1,1);
%% minimal syntax for plotbraf
plotbraf('q2'); 
