function p=init(p,lx,dsc,par) 
% init for generic scalar OO problem
% standard settings (see manual), scalar problem
p=stanparam(p); screenlayout(p); p.nc.neq=1; 

% PDE semilinear implementation with OOPDE
p.sw.sfem=-1; p.fuha.sG=@sG; p.fuha.sGjac=@sGjac; 

pde=stanpdeo1D(lx,lx/dsc); p.pdeo=pde; % domain and mesh
p.np=pde.grid.nPoints; p.nu=p.np; p.sol.xi=1/(p.nu); 

p.u=zeros(p.np,1); % initial sol
p.u=[p.u; par']; % append parameter (vector) 
p=setfemops(p);    % generate FEM matrices 
